<?php

declare(strict_types=1);

namespace App\Repositories\Eloquent\Criteria;

use Illuminate\Database\Eloquent\Builder;
use Prettus\Repository\Contracts\CriteriaInterface;
use Prettus\Repository\Contracts\RepositoryInterface;

/**
 * Class OrderByCasZverejneniaAscCriteria
 *
 * @package App\Repositories\Eloquent\Criteria
 */
final class OrderByCasZverejneniaAscCriteria implements CriteriaInterface
{
    /**
     * @param \Illuminate\Database\Eloquent\Builder $model
     * @param \Prettus\Repository\Contracts\RepositoryInterface $repository
     *
     * @return \Illuminate\Database\Eloquent\Builder
     */
    public function apply($model, RepositoryInterface $repository): Builder
    {
        $model = $model->orderBy('cas_zverejnenia');

        return $model;
    }
}
